testdim {ade4} | R Documentation

## Function to perform a test of dimensionality

### Description

This functions allow to test for the number of axes in multivariate analysis. The procedure `testdim.pca` implements a method for principal component analysis on correlation matrix. The procedure is based on the computation of the RV coefficient.

### Usage

    testdim(object, ...)
    ## S3 method for class 'pca'
    testdim(object, nrepet = 99, nbax = object$rank, alpha = 0.05, ...)

### Arguments

`object` | an object corresponding to an analysis (e.g. duality diagram, an object of class `dudi`)
`nrepet` | the number of repetitions for the permutation procedure
`nbax` | the number of axes to be tested, by default all axes
`alpha` | the significance level
`...` | other arguments

### Value

An object of the class `krandtest`. It contains also:

`nb` | The estimated number of axes to keep
`nb.cor` | The number of axes to keep estimated using a sequential Bonferroni procedure

### Author(s)

Stéphane Dray stephane.dray@univ-lyon1.fr

### References

Dray, S. (2008) On the number of principal components: A test of dimensionality based on measurements of similarity between matrices. Computational Statistics and Data Analysis, Volume 52, 2228–2237. doi:10.1016/j.csda.2007.07.015

### See Also

`dudi.pca`, `RV.rtest`,`testdim.multiblock`

### Examples

    tab <- data.frame(matrix(rnorm(200),20,10))
    pca1 <- dudi.pca(tab,scannf=FALSE)
    test1 <- testdim(pca1)
    test1
    test1$nb
    test1$nb.cor
    data(doubs)
    pca2 <- dudi.pca(doubs$env,scannf=FALSE)
    test2 <- testdim(pca2)
    test2
    test2$nb
    test2$nb.cor

[Package ade4 version 1.7-13 Index]